/*
 * display.h
 *
 * Created: 2017-07-16 21:49:41
 *  Author: doom
 */ 


#ifndef DISPLAY_H_
#define DISPLAY_H_

#define LCD_NUM_OF_ROWS			1
#define LCD_NUM_OF_COLS			6

#define SPEC_CHAR0				0
#define SPEC_CHAR1				1
#define SPEC_CHAR2				2
#define SPEC_CHAR3				3
#define SPEC_CHAR4				4
#define SPEC_CHAR5				5
#define SPEC_CHAR6				6
#define SPEC_CHAR7				7

/*#define LCD_SPEC_CHAR_DEGREE	SPEC_CHAR2
#define LCD_SPEC_CHAR_MAX		SPEC_CHAR3
#define LCD_SPEC_CHAR_MIN		SPEC_CHAR4
*/
void DispInit(void);
void DispPosition(uint8_t posY, uint8_t posX);
void DispText(uint8_t *src);
void DispMsg(uint8_t *src, uint8_t posY, uint8_t posX);
void DispSimpleValue(uint16_t val);
void DispValue(int16_t val);



#endif /* DISPLAY_H_ */